Description

It would be useful the possibility to save custom queries for roles.
To save them in query edit, could be added a multiselection combobox with roles (and eventually another one with users) instead of
"Public query" checkbox. The actual selected checkbox would correspond to the roles in the combobox all selected.

Probably it should be also useful the possibilty to configure is a role can create queries for every role, only for its role, for him or
none. Otherwise, as now, only for administrators is possible to save role based queries.

Related issues:
Related to Redmine - Defect #17147: Public/private saved queries are not sepa... New
Has duplicate Redmine - Feature #14183: Limit custom queries visibility Closed

Associated revisions

Revision 11994 - 2013-07-11 19:45 - Jean-Philippe Lang

Role based custom queries (#1019).

History

#1 - 2010-08-23 19:49 - Paolo Sulprizio

Now that are implemented groups of users, it could be a per group custom query, if is judged to be more correct or useful.

#2 - 2012-03-02 21:04 - Darren Cook

+1 for this, | just ran into this issue where | want to create "public" queries for my manager and team, but don't want the rest of the user base seeing
them. Role/Group/User permission would be very helpful. Thanks!

#3 - 2013-06-08 03:23 - Filou Centrinov

- Has duplicate Feature #14183: Limit custom queries visibility added

#4 - 2013-06-08 03:25 - Filou Centrinov

- Category changed from Search engine to Issues

#5 - 2013-07-11 19:47 - Jean-Philippe Lang

- File query_visibility.png added

- Subject changed from Role/user based custom queries to Role based custom queries
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

Feature added in r11994. Instead of a public checkbox, there's now 3 options. The second one lets you choose which roles are allowed to view the
query:
https://www.redmine.org/projects/redmine/repository/svn/revisions/11994

Name Query

Visible @ to me only
@ to these roles only:
Administrator
Contributor
[] Release manager
@ to any users

For all projects [
#6 - 2013-08-05 10:57 - Tobias Fischer
great feature! But what happens to existing "public" queries?

#7 - 2013-08-05 19:07 - Jean-Philippe Lang

Tobias Fischer wrote:

great feature! But what happens to existing "public" queries?

Existing public queries stay public (visible: to any users).

#8 - 2014-07-02 09:40 - Toshi MARUYAMA

- Related to Defect #17147: Public/private saved queries are not separated anymore added
